aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/zfs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/zfs.sh')
-rwxr-xr-xscripts/zfs.sh4
1 files changed, 1 insertions, 3 deletions
diff --git a/scripts/zfs.sh b/scripts/zfs.sh
index 2f5f3f8fd..39c49d71e 100755
--- a/scripts/zfs.sh
+++ b/scripts/zfs.sh
@@ -120,9 +120,7 @@ load_module_linux() {
echo "Loading: $FILE ($VERSION)"
fi
- $LDMOD "$KMOD" >/dev/null 2>&1
- # shellcheck disable=SC2181
- if [ $? -ne 0 ]; then
+ if ! $LDMOD "$KMOD" >/dev/null 2>&1; then
echo "Failed to load $KMOD"
return 1
fi